Sickbeard/Python version Problem?

    • Sickbeard/Python version Problem?

      Hi guys,

      Currently using sickbeard via the plugin system, but unfortunately I'm running into an issue using BTN. The error being reported by sickbeard is:

      2015-07-25 23:24:51 WARNING SEARCHQUEUE-MANUAL-SEARCH :: URL error [Errno 1] _ssl.c:504: error:14077438:SSL routines:SSL23_GET_SERVER_HELLO:tlsv1 alert internal error while loading URL xxx.xxx/

      I've contacted BTN and the consensus appears to be that I need to use a newer Python version. I don't know if this is true but unfortunately I don't know how to do that with OMV. I can see that there are numerous python versions installed but simply trying to use a different binary doesn't work and Sickbeard doesn't start. Is anyone else having the same problems here and can provide any solutions? Thank you.
    • So this appears to be related to an old version of python. After some reading I managed to figure out that I need a later version of Python and in case it helps everyone else, here's what I did to solve my issue:

      Python/Sickbeard needs sqlite3 for the database, so make sure we have it:

      Source Code

      1. sudo apt-get install libsqlite3-dev


      Install Pythonz:

      Source Code

      1. curl -kL https://raw.github.com/saghul/pythonz/master/pythonz-install | bash


      Once installed, run the following to install Python 2.7.10:

      Source Code

      1. pythonz install 2.7.10


      Wait some time, and when completed your new Python 2.7.10 installation should be installed the binary found at /usr/local/pythonz/pythons/CPython-2.7.10/bin/python
      We're almost done! Run the following to install "pip", a handy Python module installer:

      Source Code

      1. wget https://bootstrap.pypa.io/get-pip.py -O - | /usr/local/pythonz/pythons/CPython-2.7.10/bin/python


      Now all that's left is to install "cheetah" to this new python installation using "pip" that we just installed:

      Source Code

      1. /usr/local/pythonz/pythons/CPython-2.7.10/bin/python -m pip install cheetah


      Now Python 2.7.10 should be ready for Sickbeard. All you need to do is invoke it with this new python binary using the same options that Sickbeard needs to start. If you use a starter script (for example, /etc/init.d/sickbeard) you may need to update this to point to the new python binary. For example, I use a starter script located at /etc/init.d/sickbeard to start mine. Fortunately for me, mine has a line at the top of this file that lists my python installation path. It was /usr/bin/python and I simply updated it to /usr/local/pythonz/pythons/CPython-2.7.10/bin/python and all was good.
    • Hi, I've just installed sickgear, to try to avoid some ofthe sickrage controversy. all is well, but the install gives me a nice notice "SickGear will be dropping support for Python 2.7.8 and below. We recommend updating to latest version:"

      Can I assume that I will eventually need to follow the steps in this forum (that is fine, I just would like to know), when they finally drop support (for 2.7.3 which is what my lastest OMV seems to install)? Or are there plans to upgrade (sorry I am not sure where to look).

      Thanks!
    • Jmi wrote:

      Can I assume that I will eventually need to follow the steps in this forum (that is fine, I just would like to know), when they finally drop support (for 2.7.3 which is what my lastest OMV seems to install)? Or are there plans to upgrade (sorry I am not sure where to look).

      OMV uses whatever package Debian uses. OMV 2.x is Debian Wheezy so it will always use 2.7.3. OMV 3.x is Debian Jessie and uses 2.7.9.
      omv 5.3.2 usul | 64 bit | 5.3 proxmox kernel | omvextrasorg 5.2.4
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • I was running sickrage but i have some problems with search somo episodes and on SR forum they tell me to install python 2.7.10, i found this thread,
      but wen i run

      Source Code

      1. ​pythonz install 2.7.10

      i get this:

      Source Code

      1. root@JMS-OMV:~# pythonz install 2.7.10
      2. Use the previously fetched /usr/local/pythonz/dists/Python-2.7.10.tgz
      3. Extracting Python-2.7.10.tgz into /usr/local/pythonz/build/CPython-2.7.10
      4. This could take a while. You can run the following command on another shell to track the status:
      5. tail -f /usr/local/pythonz/log/build.log
      6. Installing CPython-2.7.10 into /usr/local/pythonz/pythons/CPython-2.7.10
      7. Traceback (most recent call last):
      8. File "/usr/local/pythonz/scripts/pythonz/installer/pythoninstaller.py", line 205, in install
      9. self.configure()
      10. File "/usr/local/pythonz/scripts/pythonz/installer/pythoninstaller.py", line 343, in configure
      11. s.check_call(cmd)
      12. File "/usr/local/pythonz/scripts/pythonz/util.py", line 298, in check_call
      13. raise ShellCommandException('%s: failed to `%s`' % (returncode, cmd))
      14. ShellCommandException: 1: failed to `./configure --prefix=/usr/local/pythonz/pythons/CPython-2.7.10 `
      15. ERROR: Failed to install CPython-2.7.10. Check /usr/local/pythonz/log/build.log to see why.
      Display All
    • jms wrote:

      I was running sickrage but i have some problems with search somo episodes and on SR forum they tell me to install python 2.7.10, i found this thread,
      but wen i run

      Source Code

      1. pythonz install 2.7.10

      i get this:

      Source Code

      1. root@JMS-OMV:~# pythonz install 2.7.10
      2. Use the previously fetched /usr/local/pythonz/dists/Python-2.7.10.tgz
      3. Extracting Python-2.7.10.tgz into /usr/local/pythonz/build/CPython-2.7.10
      4. This could take a while. You can run the following command on another shell to track the status:
      5. tail -f /usr/local/pythonz/log/build.log
      6. Installing CPython-2.7.10 into /usr/local/pythonz/pythons/CPython-2.7.10
      7. Traceback (most recent call last):
      8. File "/usr/local/pythonz/scripts/pythonz/installer/pythoninstaller.py", line 205, in install
      9. self.configure()
      10. File "/usr/local/pythonz/scripts/pythonz/installer/pythoninstaller.py", line 343, in configure
      11. s.check_call(cmd)
      12. File "/usr/local/pythonz/scripts/pythonz/util.py", line 298, in check_call
      13. raise ShellCommandException('%s: failed to `%s`' % (returncode, cmd))
      14. ShellCommandException: 1: failed to `./configure --prefix=/usr/local/pythonz/pythons/CPython-2.7.10 `
      15. ERROR: Failed to install CPython-2.7.10. Check /usr/local/pythonz/log/build.log to see why.
      Display All

      How I got Python 2.7.11 installed for SickGear

      Source Code

      1. apt-get install build-essential libsqlite3-dev zlib1g-dev libssl-dev
      2. curl -kL https://raw.github.com/saghul/pythonz/master/pythonz-install | bash
      3. /usr/local/pythonz/bin/pythonz install 2.7.11
      4. wget https://bootstrap.pypa.io/get-pip.py -O - | /usr/local/pythonz/pythons/CPython-2.7.11/bin/python
      5. /usr/local/pythonz/pythons/CPython-2.7.11/bin/python -m pip install cheetah
      6. nano /etc/init.d/sickbeard \\Modified DAEMON to DAEMON=${PYTHON_BIN-/usr/local/pythonz/pythons/CPython-2.7.11/bin/python}
      7. nano /etc/default/sickbeard \\Modified PYTHON_BIN to PYTHON_BIN=/usr/local/pythonz/pythons/CPython-2.7.11/bin/python